package cokr.xit.ens.modules.common.ctgy.sys.mng.service.strategy;

import cokr.xit.ens.modules.common.ctgy.sys.mng.model.TmpltMngDTO;
import cokr.xit.ens.modules.common.ctgy.sys.mng.model.TmpltMngSearchDTO;

import java.util.List;
import java.util.Optional;

public interface TmpltMngStrategy<P> {

    List<? extends TmpltMngDTO> findAll(TmpltMngSearchDTO tmpltMngSearchDTO);
    Optional<? extends TmpltMngDTO> find(String orgCd, String tmpltCd);
    void add(P params);
    void modify(P params);
}
